Skip to main content
POST
/
api
/
presentations
/
{presentationId}
/
sign-contract
Sign a contract
curl --request POST \
  --url https://app.demand-iq.com/api/presentations/{presentationId}/sign-contract \
  --header 'Content-Type: application/json' \
  --data '
{
  "variables": {
    "full_name": "<string>",
    "first_name": "<string>",
    "last_name": "<string>"
  },
  "signature": "<string>",
  "configId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agreedToTerms": true
}
'
{
  "success": true,
  "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "signedAt": "2023-11-07T05:31:56Z",
  "message": "<string>"
}

Path Parameters

presentationId
string<uuid>
required

Body

application/json
variables
object
required
signature
string
required

Typed signature (must match the customer name)

configId
string<uuid>
agreedToTerms
boolean

Response

Contract signed

success
boolean
documentId
string<uuid>
signedAt
string<date-time>
message
string